package com.changhong.epc.demo2;

import com.changhong.epc.constter.system.SystemClients;
import com.changhong.epc.constter.system.run.EpcApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;
import org.springframework.cloud.client.SpringCloudApplication;
import org.springframework.cloud.netflix.archaius.ArchaiusAutoConfiguration;
import org.springframework.context.annotation.ComponentScan;

@SpringBootApplication(exclude = {
        DataSourceAutoConfiguration.class,ArchaiusAutoConfiguration.class
})
@SpringCloudApplication
@ComponentScan(basePackages={"com.changhong.epc","com.iemsoft.framework.cloud"})
public class Demo2Application implements SystemClients{
	
	public static void main(String[] args) throws Exception {
		new EpcApplication(SERVER_DEMO2, Demo2Application.class).run(args);
	}
}
