package com.changhong.epc.demo2.mapper.tenant.log;

import com.changhong.epc.bean.tenant.log.ProcessLog;
import com.github.pagehelper.Page;

import tk.mybatis.mapper.common.Mapper;

/** 
 * 流程记录表
 * @ClassName: ProcessLogMapper
 * @author [九鼎联合科技] 
 * @date 2017年07月11日 下午06:30:38
 */
public interface ProcessLogMapper extends Mapper<ProcessLog>{

    /**
     * 分页查询流程记录表
     * @Title: selectByProcessLog
     * @param @param processLog 流程记录表实体
     * @param @return    设定文件
     * @param List<ProcessLog> 返回多条[流程记录表]实体
     * @throws
     */
    Page<ProcessLog> selectByProcessLogPage(ProcessLog processLog);
}